                PROGRAM

! CW source code: Tom Foley tomfoley@usa.net
! Compatability : CW1.5 or later.
!
! Send simple eMail in CW using the Freeware QSMTP2 DLL
!
! The DLL (QSMTP2.DLL) is written by Craig Gill, cgill@airmail.net and is FREEWARE. I suggest you send
! any feedback to him, to allow him to make enhancements.
! The latest version is available at http://www.iessoft.com/scripts/vbvault/projects/QSMTP2.htm
! As of this writing (Aug 20,1998) the DLL is beta only, but it works, and the price is right!
!
! However, be aware of the following bugs;
!
!  - Using an invalid mail server name results in a Dr. Watson, rather than returing ErrCode 1
!  - If you send a totally blamk message (no fields filled out) -
!  - it tells you that the message was sent successfully.
!
!  - In fact ErrCodes 1 - 7 do not seem to be implemented at all, I have included the code
!  - in the hope that later versions of the DLL will address it.
!
! Therefore, you should do your error trapping up-front, i.e. validate all fields with your
! own code, especially the mail server name. By using this code you acknowledge that I am
! not responsible for any damage, material or otherwise, that may accrue to you. In other words,
! if you like it, feel free to praise my virtues, if you don't, well..tough <g!>
!
! Feel free to make any changes or enhancements, all I ask is that you upload your version to
! www.icetips.com and announce it in comp.lang.clarion and/or topspeed.products.c4
! Feedback always appreciated, please email me your comments.


                MAP
                  MODULE ('QSMTP2.LIB')
                    SendEmail (*cString ServerName , *cString MailFromName , |
                               *cString MailFromEmail , *cString MailToName ,|
                               *cString MailToEmail , *cString MailSubject , |
                               *cString MailBody , Long MailPriority ,      |
                               Long Logging ) , Long, Proc, Pascal, Raw
                  END
               END

MailPriority    Byte(3)      ! Defaulting to 3 - Normal, High = 1 or 2
Logging         Byte         ! 0 = Log message off, 1 = on
MyName          cString(20)
MyEmail         cString(40)
MyServer        cString(20)
RecipientName   cString(20)
RecipientMail   cString(40)
MessageSubject  cString(60)
Text1           cString(4096)


Window WINDOW('QSMTP Email Demo'),AT(,,410,208),FONT('MS Sans Serif',8,,),SYSTEM,GRAY
       ENTRY(@s20),AT(65,12,117,12),USE(MyName),REQ
       ENTRY(@s40),AT(65,29,117,12),USE(MyEmail),REQ
       ENTRY(@s20),AT(65,47,117,12),USE(MyServer),REQ
       ENTRY(@s20),AT(267,12,117,12),USE(RecipientName),REQ
       ENTRY(@s40),AT(267,30,117,12),USE(RecipientMail),REQ
       ENTRY(@s60),AT(267,47,117,12),USE(MessageSubject),REQ
       OPTION('Priority'),AT(266,61,89,22),USE(MailPriority),BOXED
         RADIO('Normal'),AT(271,69,41,10),USE(?MailPriority:Radio1),VALUE('3')
         RADIO('High'),AT(317,68,28,11),USE(?MailPriority:Radio3),VALUE('1')
       END
       TEXT,AT(36,86,338,90),USE(Text1),VSCROLL
       PROMPT('MessageText:'),AT(35,73,71,10),USE(?TextPrompt)
       BUTTON('Send'),AT(37,185,,14),USE(?Send)
       BUTTON('Exit'),AT(343,185,,14),USE(?Exit)
       PROMPT('Message Subject:'),AT(199,47),USE(?Subject)
       PROMPT('Your Name:'),AT(17,14),USE(?NamePrompt)
       PROMPT('Your Email:'),AT(19,31),USE(?EmailPrompt)
       PROMPT('Recipient''s Email:'),AT(200,31),USE(?RecipientEmail)
       PROMPT('Recipient Name:'),AT(202,14),USE(?RecipientPrompt)
       PROMPT('Mail Server:'),AT(18,49,39,8),USE(?ServerPrompt)
     END


 Code
    
    Open(window)
    Accept
     Case Event()
      OF Event:Accepted
       Case Field()
         Of ?Send
          SetCursor(Cursor:Wait)
          Result# = SendEmail(MyServer, MyName, MyEmail, RecipientName, |
                              RecipientMail, MessageSubject, Text1, MailPriority, Logging)
         
          Case Result#
           Of 100
            Message('Message Sent!')
           Of 1
            Message('Bad MailServer Name')
            Select(MyServer)
           Of 2
            Message('Bad MailFromName Name')
            Select(MyName)
           Of 3
            Message('Bad YourEmail')
            Select(MyEmail)
           Of 4
            Message('Bad MailTo Name')
            Select(RecipientName)
           Of 5
            Message('Bad Recipient Email')
            Select(RecipientMail)
           Of 6
            Message('Bad MailSubject')
            Select(MessageSubject)
           Of 7
            Message('Bad MailBody')
            Select(Text1)
          Else
            Message('An unexpected error occured')
          End

          SetCursor()

         Of ?Exit
          Close(window)
          Return
       End
     End
    End
